# weblate: New Born
Best javascript library to load dynamic template


# weblate Installation

- installation:
```
npm i weblate
```

- CDN Available:
```
<script src="https://cdn.jsdelivr.net/combine/npm/lodash,npm/weblate/weblate/weblate.min.js"></script>
```
# weblate Example
## Example

- HTML
```
<body>
    <div>
        <weblate id="my_temp" src="template/weblate_title.html">Loading...</weblate>
        <weblate id="my_temp2" src="template/weblate_title.html">Loading...</weblate>
    </div>
    <script src="https://cdn.jsdelivr.net/combine/npm/lodash,npm/weblate/weblate/weblate.min.js"></script>
</body>
```
- Javascript
```javascript
var data = {
            title: "Constructing HTML Elements"
        };
        var author = [
            { name: "Guru" },
            { name: "Gurudev" },
            { name: "webphonix" }
        ];
        $$("#my_temp2").weblate({ 'title': data, 'names': author });
        weblate("#my_temp").on('weblate', { 'title': data, 'names': author }, function (d) {
            console.log(d)
            console.log("Webphonix")
        });
```

- Inside template/weblate_title.html
```
<div>
    <h1>
        <%= title.title %>
            <h1>
                <ul>
                    <% _.each(names, function(n){ %>
                        <li>
                            <%- n.name %>
                        </li>
                        <% }) %>

                </ul>
</div>
<div class="row">
    <% _.each(names, function(n){ %>
        <div class="col-md-6">
            <%- n.name %>
        </div>
        <% }) %>
</div>

```

